<script setup lang="ts">
import { useAuthStore } from "@/stores/auth";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const authStore = useAuthStore();

const loginName = ref("");
const password = ref("");
const valid = ref(true);
const form = ref<InstanceType<typeof VForm> | null>(null);
const login = async () => {
  const { valid } = await form.value!.validate();
  if (valid) {
    authStore.login(loginName.value, password.value);
  }
};
const reset = () => {
  form.value?.reset();
};
</script>

<template>
  <v-dialog v-model="authStore.dialog" max-width="400px">
    <v-card>
      <v-card-title class="text-center">Nova-Consoler</v-card-title>
      <v-card-title class="text-center">เข้าสู่ระบบ</v-card-title>
      <v-card-text>
        <v-form ref="form" v-model="valid">
          <v-text-field
            label="ชื่อผู้ใช้"
            v-model="loginName"
            :rules="[
              (v) => !!v || 'Username is required',
            ]"
            required
          ></v-text-field>
          <v-text-field
            label="Password"
            type="password"
            v-model="password"
            :rules="[
              (v) => !!v || 'Password is required',
              (v) => v.length >= 8 || 'Password must be at least 8 characters',
            ]"
            required
          ></v-text-field>
        </v-form>
      </v-card-text>
      <v-card-actions class="justify-center">
        <v-btn color="success" @click="login">Login</v-btn>
        <v-btn color="error" @click="reset">Clear</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

